Home
Home
  1. πŸ“‘ Endpoints
  • πŸš€ Getting Started
  • πŸ”Ž Screening API
    • Overview
    • Blacklist Matching Logic
    • πŸ“‘ Endpoints
      • Blockchain Analysis
      • Individuals Analysis
      • Organizations Analysis
      • Screening Entities Summary Analysis
      • Create BlackList
      • Get All BlackList Records
      • Get Blacklist Record by ID
      • Delete Blacklist Record by ID
      • Update Blacklist Record by ID
      • Update Blacklist Settings Account
  • 🌊 Flow API
    • Overview
    • Flow Step: Identity Verification
    • Flow Step: Onboarding Individual
    • Flow Step: Onboarding Organization
    • πŸ“‘ Endpoints
      • Authentication token
        POST
      • Get Flow Instances
        GET
      • Get Flow Instance By Id
        GET
      • Get File from Flow Instance
        GET
      • Identity: Get Details
        GET
      • Identity: Get Files
        GET
      • Identity: Update Status
        PUT
      • Onboarding: Get Details
        GET
      • Onboarding: Get File
        GET
      • Onboarding: Get Multiple Files
        GET
      • Onboarding: Update Status
        PUT
      • Onboarding: Get Entity by document number
        GET
      • Onboarding: Get Entity List by document number
        GET
    • πŸ“€ Webhooks
      • Overview
      • Flow
      • Identity Verification
      • Onboarding Individual
      • Onboarding Organizations
      • Identity Verification by Onboarding
  • πŸ’ΈTransaction Screening API
    • πŸ”‘ Authentication
    • Overview
    • Transaction Analysis
    • Monitoring & History
    • Document Types
    • Supported Currencies
    • Diagram
    • πŸ“€ Webhooks
    • πŸ“‘ Endpoints
      • Submit Transaction
      • List Transactions
      • List Document types
      • List Cryptocurrencies
      • Register remitter
      • Register Beneficiary
  • πŸ“‚ Resources
    • Concept Details
    • Enum Validation
Home
Home
  1. πŸ“‘ Endpoints

Onboarding: Get Multiple Files

GET
https://verification-id.rillis.io/api/v1/client-api/onboardings/{id}/files
Retrieves a collection of files associated with a specific process. This endpoint returns an array containing metadata for each file, such as the file identifier (id), original name, encoding, MIME type, size, storage path, and a base64-encoded string representing the file content. This enables you to access and handle multiple files efficiently.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Responses

🟒200Success
application/json
Body

🟠401Unauthorized
🟠404Record Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://verification-id.rillis.io/api/v1/client-api/onboardings//files?file_ids=232131232,1232312123' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "view_files": [
        {
            "id": "5lpd2oLIOL7SvjMrTvZUA",
            "field_name": "Ms. Janis Schimmel",
            "original_name": "Alfredo Hintz V",
            "encoding": "do est consequat deserunt",
            "mime_type": "application/vnd.oasis.opendocument.spreadsheet",
            "size": 81915465,
            "path": "/net",
            "file_name": "pish_in_technologist.csv",
            "service_code": "21",
            "fileBase64": "deserunt nulla fugiat in ut"
        }
    ]
}
Modified atΒ 2026-02-12 17:43:41
Previous
Onboarding: Get File
Next
Onboarding: Update Status
Built with